<?php
/*
Plugin Name: 网站后台数据统计大盘
Version: 1.1
Plugin URL: http://www.dyboy.cn/
Description: 统计网站现有的经营数据，辅助站长分析数据以及运营决策，后续功能会陆续增加，敬请期待。
Author: DYBOY
Author URL: https://www.emlog.net/author/index/445
*/

defined('EMLOG_ROOT') || exit('hacker!');

// 判断是否加载了 class
if (!class_exists('DYBOYBlogDashboard', false)) {
  require_once __DIR__ . '/dyboy_blog_dashboard_class.php';
}

// 仪表盘详情`
function dyboy_blog_dashboard_dashboard()
{
  global $userData;
  // 通过 session 判断是否是管理员
  if (isset($userData['role']) && $userData['role'] == "admin") {
    DYBOYBlogDashboard::getInstance()->dyboy_blog_dashboard_dashboard();
    return;
  }

  return '';
}

addAction('adm_main_content', 'dyboy_blog_dashboard_dashboard');